petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecScatterSetUp

Sets up the VecScatter to be able to actually scatter information between vectors

### Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterSetUp(VecScatter sf)

Collective on VecScatter

### Input Parameter

| sf | - the scatter context

### See Also

VecScatterCreate(), VecScatterCopy()

### Level

intermediate

### Location

src/vec/is/sf/interface/vscat.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages